<?php
require('calendario/calendario.php');
//require('functions.php');
if(isset($_POST['submit'])){
	require('clases/cliente.class.php');
	$telefono_otro = htmlspecialchars(trim($_POST['telefono_otro']));
	$email_otro = htmlspecialchars(trim($_POST['email_otro']));
	$cedula_otro = htmlspecialchars(trim($_POST['cedula_otro']));
	$fecha = htmlspecialchars(trim($_POST['fecha']));
	$apellidos_otro = htmlspecialchars(trim($_POST['apellidos_otro']));
	$nombres_otro = htmlspecialchars(trim($_POST['nombres_otro']));
    $parentesco_asp = htmlspecialchars(trim($_POST['parentesco_asp']));
	$familiar_otro = htmlspecialchars(trim($_POST['familiar_otro']));
	$id_usuario = htmlspecialchars(trim($_POST['id_usuario']));
	$familiar_otro = htmlspecialchars(trim($_POST['familiar_otro']));
	$id_otroOR = htmlspecialchars(trim($_POST['id_otroOR']));
	
	
	$objCliente=new Cliente;
	
	if( $id_otroOR== '')
		{
	if ($objCliente->insertar_otro_representante2(array($cedula_otro,$fecha,$apellidos_otro, $nombres_otro,$telefono_otro,$email_otro,$parentesco_asp,$familiar_otro,$id_usuario))== true ){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
		}
		
		else if( $id_otroOR!= '')
		{
			if ($objCliente->insertar_otro_representante3(array($cedula_otro,$fecha,$apellidos_otro, $nombres_otro,$telefono_otro,$email_otro,$parentesco_asp,$familiar_otro,$id_usuario),$id_otroOR)== true ){
		echo 'Datos guardados';
	}else{
		echo 'Se produjo un error. Intente nuevamente';
	} 
			
		}
}else{
//echo "<head><link href='css/estilo.css' rel='stylesheet' type='text/css' /></head>";
?>
<?php
include_once("config/conexion.php");
$link = conectar();
session_start();
if (!$_SESSION){
echo '<script language = javascript>
self.location = "index.php"
</script>';
}
$usuario = $_SESSION['persona'];
$consulta= "SELECT nombres_per, apellidos_per,id_per FROM persona WHERE id_per='".$usuario."'"; 
$resultado= mysql_query($consulta,$link) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$nombres = $fila['nombres_per']; $apellidos = $fila['apellidos_per'];
$id_usu=$fila['id_per'];
$tusuario = $_SESSION['seguridad'];
$consulta= "SELECT tipo_tip FROM tipo_usuario WHERE id_tip='".$tusuario."'"; 
$resultado= mysql_query($consulta,$link) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$usuario = $fila['tipo_tip'];
$consultaOR = "SELECT * FROM otro_representante where id_asp='".$id_usu."'";
$resultado= mysql_query($consultaOR) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
$cedOR=$fila['cedula']; $fnOR=$fila['fecha_nacimiento']; $apeOR=$fila['apellidos']; $nomOR=$fila['nombres']; $telfOR=$fila['telefono']; $mailOR=$fila['email']; $parentOR=$fila['parentesco']; $id_otroOR=$fila['id_representante']; $otrofOR=$fila['otro_familiar']

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Aplicacion</title>
<link rel="shortcut icon" href="config/imagenes/CMS.ico">
<link href="config/estilos/CMS.css" rel="stylesheet" type="text/css" />
<link href="config/estilos/calendario_dw/calendario_dw-estilos.css" type="text/css" rel="STYLESHEET">
<script type="text/javascript" src="calendario/js/jquery-1.3.1.min.js"></script>
<script type="text/javascript" src="calendario/js/jquery.functions2.js"></script>
<script src="js/jquery.functions.js" type="text/javascript"></script>
<script src="js/jquery-1.3.1.min.js" type="text/javascript"></script>
<script language="javascript">
function check_cedula( form )
{
 var cedula = form.cedula_pad.value;
 array = cedula.split( "" );
 num = array.length;
 if ( num == 10 )
 {
 total = 0;
 digito = (array[9]*1);
 for( i=0; i < (num-1); i++ )
 {
   mult = 0;
   if ( ( i%2 ) != 0 ) 
       { total = total + ( array[i] * 1 ); 
       }
  else 
       { mult = array[i] * 2;
        if ( mult > 9 )
            total = total + ( mult - 9 ); 
        else 
            total = total + mult; 
        }
}
    decena=total/10;
    decena=Math.floor(decena);
    decena = ( decena + 1 ) * 10;
    final = ( decena - total );
    if ( ( final == 10 && digito == 0 ) || ( final == digito ) ) 
           { //alert( "La cedula es correcta" ); return true; 
           }
    else 
           { alert( "El numero de cedula es incorrecto. Verifique "); 
		     form.cedula_pad.value = "";			 
			 frmDatMadre.cedula_pad.focus();
             return false; 
           } 
 }
 else 
 { alert("La cedula no pue detener menos de 10 digitos y tampoco mas de 10 digitos"); 
 frmDatPadre.cedula_pad.focus();
 form.cedula_pad.value = ""; 
 return false; 
 } 
}
function MM_showHideLayers() { //v9.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) 
  with (document) if (getElementById && ((obj=getElementById(args[i]))!=null)) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v=='hide')?'hidden':v; }
    obj.visibility=v; }
}

function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload != 'function') {
    window.onload = func;
  } else {
    window.onload = function() {
      oldonload();
      func();
    }
  }
}
function prepareInputsForHints() {
	var inputs = document.getElementsByTagName("input");
	for (var i=0; i<inputs.length; i++){		
		if (inputs[i].parentNode.getElementsByTagName("span")[0]) {			
			inputs[i].onfocus = function () {
				this.parentNode.getElementsByTagName("span")[0].style.display = "inline";
			}			
			inputs[i].onblur = function () {
				this.parentNode.getElementsByTagName("span")[0].style.display = "none";
			}
		}
	}	
	var selects = document.getElementsByTagName("select");
	for (var k=0; k<selects.length; k++){
		if (selects[k].parentNode.getElementsByTagName("span")[0]) {
			selects[k].onfocus = function () {
				this.parentNode.getElementsByTagName("span")[0].style.display = "inline";
			}
			selects[k].onblur = function () {
				this.parentNode.getElementsByTagName("span")[0].style.display = "none";
			}
		}
	}
}
addLoadEvent(prepareInputsForHints);

function activa(formulario) {
	formulario.familiar_otro.disabled = false	
	formulario.familiar_otro.focus();	
}
function desactiva(formulario) {
	formulario.familiar_otro.value = ""
	formulario.familiar_otro.disabled = true		
}
   </script>

</head>

<body>
<div id="principal">
  <div id="header">
  <object type="application/x-shockwave-flash" width="950" height="150"
 data="config/imagenes/banner_login.swf">
<param name="movie" value="/config/imagenes/banner_login.swf">
</param>
</object>
  </div>
  <div id="usuario">
<?php echo "BIENVENIDO (A)  ", utf8_encode($usuario),":  ", utf8_encode($nombres)," ",utf8_encode($apellidos); ?>
  </div>
  <div id="logout">
    	<a href="config/logout.php" class="logout">Cerrar Sesion</a>  
  </div>
  <div id="opciones">  	
    <ul id="nav">
         <?php
				
	   
	  if(($_SESSION['seguridad'])==1 or ($_SESSION['seguridad'])==4 ){	 
	     ?>
             <li  > <a href="app.php">Pagina Principal</a></li>
             <?php
			   }
	  ?>
		        
         <?php
		   
	   if(($_SESSION['seguridad'])==1 or ($_SESSION['seguridad'])==4){
	 ?>
		    
           <li ><a href="dat_personales.php">Datos Personales</a></li>  
              <li><a href="dat_escolaridad.php">Escolaridad</a></li>
        <li><a href="dat_padre.php">Datos del Padre</a></li>
        <li ><a href="dat_madre.php">Datos de la Madre</a></li>
         <li class="current"><a href="dat_otro_representante.php">Otro Representante</a></li> 
          <li ><a href="reporte_pasantes/reporte_aspirante.php">Imprimir Inscripcion</a></li> 
           <?php
	  }
	  ?>  
      
           
      <?php
}

?>
    </ul>
  </div>
  <div id="contenido">
  <!--<div class="bordeCon">  -->
  <form id="frmOtroRepresentante" name="frmOtroRepresentante" action="dat_otro_representante.php" method="post" onsubmit="GrabarDatos3(); return false">
  <div class="div">
    <table width="150" height="19" class="table1">
      <tr>
        <td>Otro Representante</td>
      </tr>
    </table>
    <table width="645" class="table2">
      <tr>
        <td align="right" valign="middle"><br /></td>
        <td colspan="3" align="right" valign="middle"><br /><div class="msjbox"><span class="msjobl">Los datos de este formulario son opcionales, sin embargo, si el representante es distinto al papá o mamá debe completar el formulario, recuerde que los campos marcados con <span class="obl">*</span> son obligatorios</span></div><br /></td>
        </tr>
      <tr>
        <td align="left" valign="middle"><input type="hidden" name="id_otroOR" id="id_otroOR" value= " <?php echo $id_otroOR; ?> "/>          <input type="hidden" name="id_usuario" id="id_usuario" value= "<?php echo $id_usu; ?>" /></td>
        <td align="left" valign="middle"><label for="textfield"></label></td>
        <td align="right" valign="middle">&nbsp;</td>
        <td align="left" valign="middle">&nbsp;</td>
      </tr>
      <tr>
        <td width="75" align="right" valign="middle">DNI <span class="obl">*</span></td>
        <td width="227" align="left" valign="middle"><input name="cedula_otro" type="text" class="inputxt" id="cedula_otro" placeholder="cédula o pasaporte" required onClick="if(this.value=='<?php echo $cedOR; ?>')this.value='';" value="<?php echo $cedOR; ?>" title="INGRESE EL N&Uacute;MERO DE C&Eacute;DULA O PASAPORTE"/><span class="help">INGRESE EL N&Uacute;MERO DE C&Eacute;DULA O PASAPORTE</span></td>
        <td width="106" align="right" valign="middle">Fecha Nacimiento <span class="obl">*</span></td>
        <td width="260" align="left" valign="middle"><input name="fecha" type="date" class="inputxt" id="fecha" readonly="readonly" required value="<?php echo $fnOR; ?>" title="ABRA EL CALENDARIO DE LA DERECHA PARA PODER ESCOGER LA FECHA DE NACIMIENTO"/><span class="help">ABRA EL CALENDARIO DE LA DERECHA PARA PODER ESCOGER LA FECHA DE NACIMIENTO</span>
          <a onclick="show_calendar2()" style="cursor: pointer;"><span class="msjc">(Abrir Calendario)</span></a>
          <div id="calendario"><?php calendar_html2() ?></div>
          </td>
      </tr>
      <tr>
        <td align="right" valign="middle">Apellidos <span class="obl">*</span></td>
        <td align="left" valign="middle"><input name="apellidos_otro" type="text" class="inputxt" id="apellidos_otro" required onClick="if(this.value=='<?php echo utf8_encode($apeOR); ?>')this.value='';" value="<?php echo utf8_encode($apeOR); ?>" title="ESCRIBA LOS DOS APELLIDOS"/><span class="help">ESCRIBA LOS DOS APELLIDOS</span></td>
        <td align="right" valign="middle">Nombres<span class="msjobl"> <span class="obl">*</span></span></td>
        <td align="left" valign="middle"><input name="nombres_otro" type="text" class="inputxt" id="nombres_otro" required onClick="if(this.value=='<?php echo utf8_encode($nomOR); ?>')this.value='';" value="<?php echo utf8_encode($nomOR); ?>" title="ESCRIBA LOS DOS NOMBRES"/><span class="help">ESCRIBA LOS DOS NOMBRES</span></td>
      </tr>
      <tr>
        <td align="right" valign="middle">Telefono</td>
        <td align="left" valign="middle"><input name="telefono_otro" type="text" class="inputxt" id="telefono_otro" onClick="if(this.value=='<?php echo utf8_encode($telfOR); ?>')this.value='';" value="<?php echo utf8_encode($telfOR); ?>" title="ESCRIBA EL NÚMERO TELEFÓNICO (CONVENCIONAL O CELULAR)"/><span class="help">ESCRIBA EL NÚMERO TELEFÓNICO (CONVENCIONAL O CELULAR)</span></td>
        <td align="right" valign="middle">E-mail<span class="msjobl"> <span class="obl">*</span></span></td>
        <td align="left" valign="middle"><input name="email_otro" type="email" class="inputxt" id="email_otro" required onClick="if(this.value=='<?php echo utf8_encode($mailOR); ?>')this.value='';" value="<?php if(utf8_encode($mailOR)==''){ echo "EXAMPLE@CORREO.COM"; } else { echo utf8_encode($mailOR); } ?>" title="ESTE CAMPO ES OBLIGATORIO, ESCRIBA EL CORREO ELECTRONICO, SI NO TIENE DEJELO COMO APARECE POR DEFECTO --- EXAMPLE@CORREO.COM"/><span class="help">ESTE CAMPO ES OBLIGATORIO, ESCRIBA EL CORREO ELECTRONICO, SI NO TIENE DEJELO COMO APARECE POR DEFECTO --- EXAMPLE@CORREO.COM</span></td>
      </tr>
      <tr>
        <td align="right" valign="middle">Parentesco con el aspirante</td>
        <td align="left" valign="middle"><p>
          <label>
            <input type="radio" name="parentesco_asp" value="ABUELO" id="parentesco_asp_0" onclick="desactiva(this.form)" <?php if($parentOR=='ABUELO') print "checked=true" ?>/>
            Abuelo</label>
          <label>
            <input type="radio" name="parentesco_asp" value="ABUELA" id="parentesco_asp_1"onclick="desactiva(this.form)" <?php if($parentOR=='ABUELA') print "checked=true" ?>/>
            Abuela</label>
          <label>
            <input type="radio" name="parentesco_asp" value="TÍO" id="parentesco_asp_2" onclick="desactiva(this.form)" <?php if(utf8_encode($parentOR)=='TÍO') print "checked=true" ?>/>
            T&iacute;o</label>
          <label>
            <input type="radio" name="parentesco_asp" value="TÍA" id="parentesco_asp_3" onclick="desactiva(this.form)" <?php if(utf8_encode($parentOR)=='TÍA') print "checked=true"?>/>
            T&iacute;a</label>
          <br />
        </p></td>
        <td align="right" valign="middle"><input type="radio" name="parentesco_asp" value="OTROFAMILIAR" id="parentesco_asp_4" onclick="activa(this.form)" <?php if($parentOR=='OTROFAMILIAR') print "checked=true"?>/>
          Otro Familiar:</td>
        <td align="left" valign="middle"><input name="familiar_otro" type="text" class="inputxt" id="familiar_otro" disabled="disabled" required value="<?php echo utf8_encode($otrofOR); ?>" title="ESCRIBA EL FAMILIAR DEL ASPIRANTE"/><span class="help">ESCRIBA EL FAMILIAR DEL ASPIRANTE</span></td>
      </tr>
    </table>
    <table width="68" align="center">
      <tr>
          <?php
				
	   
	  if($cedOR !='' ){	 
	     ?>
              <td><input name="buttonG" type="submit" class="btnform" id="buttonG" value="Actualizar Datos" /></td>
             <?php
			   }
			   
	  ?>
       
	   <?php
				
	   
	  if($cedOR =='' ){	 
	     ?>
         
        <td><input name="buttonG" type="submit" class="btnform" id="buttonG" value="Guardar Datos" /></td>
        <?php
			   }
			   
	  ?>
      </tr>
      </table>
  </div>
  
  
  </form>
<!--  </div>-->
  </div>
  <div id="pie">
  	<div class="creditos1">
    UNIDAD EDUCATIVA CRISTO REY &copy; 2013<br />
	Direcci&oacute;n: Calle Cristo Rey entre Sucre y Baquerizo Moreno<br />
	Tel&eacute;fono: +593 052632558 / +593 052631559<br />
	Fax: +593 052631525<br />
	E-mail:  info@cristorey.edu.ec  
    </div>
    <div class="creditos2">
  	Desarollado por: Emilio Cardona, Elvis Moreira, Jose A. Sandoval &copy; Copyright 2013 - Todos los Derechos Reservados ®</div>
  </div>
</div>
</body>
</html>